$(document).ready(function(){
	var tbTitle=$("#tbTitle");
	var tbShortTitle=$("#tbShortTitle")
	var btnOk=$("#btnOk");	
	///////////////////////////////////////
	tbTitle.keyup(function(){
		var tbTitleVal=tbTitle.val();
		if(tbTitleVal!="")
		{
			tbTitle.removeClass();
			tbTitle.addClass("tskInputBox");	
		}
	});
	
	tbTitle.blur(function(){
		var tbTitleVal=tbTitle.val();
		tbTitle.data("value",tbTitleVal);
		if(tbTitleVal!="")
		{
			if(tbTitleVal.length<5)
			{
				tbTitle.addClass("tskInputError");
				tbTitle.val("名称太短，不能少于5个字符！");				
			}
			else
			{				
				tbTitle.removeClass();
				tbTitle.addClass("tskInputBox");	
			}
		}
		else
		{
			tbTitle.addClass("tskInputError");
			tbTitle.val("名称不能为空！");
		}		
	});
	tbTitle.focus(function(){
		tbTitle.val(tbTitle.data("value"));
	});
	///////////////////////////////////////
	tbShortTitle.keyup(function(){
		var tbShortTitleVal=tbShortTitle.val();
		if(tbShortTitleVal!="")
		{
			tbShortTitle.removeClass();
			tbShortTitle.addClass("tskInputBox");	
		}
	});
	
	tbShortTitle.blur(function(){
		var tbShortTitleVal=tbShortTitle.val();
		tbShortTitle.data("value",tbShortTitleVal);
		if(tbShortTitleVal!="")
		{
			//$.post("http://www.youhuala.com/user/checkIfExist.aspx?STxt="+encodeURIComponent(encodeURIComponent(tbShortTitleVal)),function(data){
					//	if(data.length>2)
					///	{
					//		$("#tbkisExist").html("此产品已添加。");						
					//		tbShortTitle.addClass("tskInputError");

					//	}
					//	else
					//	{
							$("#tbkisExist").html("");
							tbShortTitle.removeClass();
							tbShortTitle.addClass("tskInputBox");
					//	}
			//});
		}
		else
		{
			tbShortTitle.addClass("tskInputError");
			tbShortTitle.val("不能为空！");
		}

	});
	tbShortTitle.focus(function(){
		tbShortTitle.val(tbShortTitle.data("value"));
	});
	//////////////////////////////////////////////////////
	var tbYhjia=$("#tbYhjia");
		tbYhjia.keyup(function(){
		var tbYhjiaVal=tbYhjia.val();
		if(tbYhjiaVal!="")
		{			
			tbYhjia.removeClass();
			tbYhjia.addClass("tskInputBox");				
		}
	});
	
	tbYhjia.blur(function(){
		var tbYhjiaVal=tbYhjia.val();
		tbYhjia.data("value",tbYhjiaVal);
		if(tbYhjiaVal!="")
		{
			if(isNaN(tbYhjiaVal))
			{
				tbYhjia.addClass("tskInputError");
				tbYhjia.val("格式错误！");					
			}
			else
			{
				tbYhjia.removeClass();
				tbYhjia.addClass("tskInputBox");
			}
		}
		else
		{
			tbYhjia.addClass("tskInputError");
			tbYhjia.val("价格不能为空！");
		}		
	});
	tbYhjia.focus(function(){
		tbYhjia.val(tbYhjia.data("value"));
	});
	//////////////////////////////////////////////////////
	var tbYuanjia=$("#tbYuanjia");
		tbYuanjia.keyup(function(){
		var tbYuanjiaVal=tbYuanjia.val();
		if(tbYuanjiaVal!="")
		{			
			tbYuanjia.removeClass();
			tbYuanjia.addClass("tskInputBox");				
		}
	});
	
	tbYuanjia.blur(function(){
		var tbYuanjiaVal=tbYuanjia.val();
		tbYuanjia.data("value",tbYuanjiaVal);
		if(tbYuanjiaVal!="")
		{
			if(isNaN(tbYuanjiaVal))
			{
				tbYuanjia.addClass("tskInputError");
				tbYuanjia.val("格式错误！");					
			}
			else
			{
				tbYuanjia.removeClass();
				tbYuanjia.addClass("tskInputBox");
			}
		}
		else
		{
			tbYuanjia.addClass("tskInputError");
			tbYuanjia.val("价格不能为空！");
		}		
	});
	tbYuanjia.focus(function(){
		tbYuanjia.val(tbYuanjia.data("value"));
	});
	//////////////////////////////////////////////////////
		
		var tbKucun=$("#tbKucun");
		tbKucun.keyup(function(){
		var tbKucunVal=tbKucun.val();
		if(tbKucunVal!="")
		{			
			tbKucun.removeClass();
			tbKucun.addClass("tskInputBox");				
		}
	});
	
	tbKucun.blur(function(){
		var tbKucunVal=tbKucun.val();
		tbKucun.data("value",tbKucunVal);
		if(tbKucunVal!="")
		{
			if(isNaN(tbKucunVal))
			{
				tbKucun.addClass("tskInputError");
				tbKucun.val("格式错误！");					
			}
			else
			{
				tbKucun.removeClass();
				tbKucun.addClass("tskInputBox");
			}
		}
		else
		{
			tbKucun.addClass("tskInputError");
			tbKucun.val("库存不能为空！");
		}		
	});
	tbKucun.focus(function(){
		tbKucun.val(tbKucun.data("value"));
	});
	
	
	//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	btnOk.click(function(){
		var tbTitleVal=tbTitle.val();
		if(tbTitleVal==""||tbTitleVal=="名称不能为空！")
		{
			tbTitle.addClass("tskInputError");
			tbTitle.val("名称不能为空！");
			return false;
		}
		else
		{
			if(tbTitleVal.length<5)
			{
				tbTitle.addClass("tskInputError");
				tbTitle.val("名称太短，不能少于5个字符！");
				return false;				
			}
		}
		//////------------------------------------------------------
		var tbShortTitleVal=tbShortTitle.val();
		if(tbShortTitleVal==""||tbShortTitleVal=="不能为空！")
		{
			tbShortTitle.addClass("tskInputError");
			tbShortTitle.val("不能为空！");
			return false;
		}		
		//////------------------------------------------------------
		var tbYhjiaVal=tbYhjia.val();
		if(tbYhjiaVal!="")
		{
			if(isNaN(tbYhjiaVal))
			{
				tbYhjia.addClass("tskInputError");
				tbYhjia.val("格式错误！");
				return false;		
			}
		}
		else
		{
			tbYhjia.addClass("tskInputError");
			tbYhjia.val("价格不能为空！");
			return false;
		}
	//////////////////////////////////////////////////////
		var tbYuanjiaVal=tbYuanjia.val();
		if(tbYuanjiaVal!="")
		{
			if(isNaN(tbYuanjiaVal))
			{
				tbYuanjia.addClass("tskInputError");
				tbYuanjia.val("格式错误！");
				return false;				
			}			
		}
		else
		{
			tbYuanjia.addClass("tskInputError");
			tbYuanjia.val("价格不能为空！");
			return false;
		}		
	//////////////////////////////////////////////////////		
		
//////////////////////////////////////////////////////		
		var tbKucunVal=tbKucun.val();
		if(tbKucunVal!="")
		{
			if(isNaN(tbKucunVal))
			{
				tbKucun.addClass("tskInputError");
				tbKucun.val("格式错误！");	
				return false;				
			}			
		}
		else
		{
			tbKucun.addClass("tskInputError");
			tbKucun.val("库存不能为空！");
			return false;
		}
	});
});
